package com.laseroptek.raman.const

//
// Hz Table3 (HANDPIENCE-10x10)
// - Map<Pair<Float, Float>, Int>
// - Map<Pair<KEY1, KEY2>, VALUE>
// - Map<Pair<PulseWidth(ms), Fluence(J/cm²)>, HzType(int)>
//

val HzTable_10_10 = mapOf(
    // Pulse Width = 0.5f
    Pair(0.5f, 0.5f) to KEY_BLUE,
    Pair(0.5f, 0.6f) to KEY_BLUE,
    Pair(0.5f, 0.7f) to KEY_BLUE,
    Pair(0.5f, 0.8f) to KEY_BLUE,
    Pair(0.5f, 0.9f) to KEY_BLUE,
    Pair(0.5f, 1.0f) to KEY_BLUE,
    Pair(0.5f, 1.1f) to KEY_YELLOW,
    Pair(0.5f, 1.2f) to KEY_YELLOW,
    Pair(0.5f, 1.3f) to KEY_YELLOW,
    Pair(0.5f, 1.4f) to KEY_YELLOW,
    Pair(0.5f, 1.5f) to KEY_YELLOW,
    Pair(0.5f, 1.6f) to KEY_YELLOW,
    Pair(0.5f, 1.7f) to KEY_YELLOW,
    Pair(0.5f, 1.8f) to KEY_YELLOW,
    Pair(0.5f, 1.9f) to KEY_YELLOW,
    Pair(0.5f, 2.0f) to KEY_YELLOW,

    // Pulse Width = 1f
    Pair(1f, 0.5f) to KEY_BLUE,
    Pair(1f, 0.6f) to KEY_YELLOW,
    Pair(1f, 0.7f) to KEY_YELLOW,
    Pair(1f, 0.8f) to KEY_YELLOW,
    Pair(1f, 0.9f) to KEY_YELLOW,
    Pair(1f, 1.0f) to KEY_YELLOW,
    Pair(1f, 1.1f) to KEY_RED,
    Pair(1f, 1.2f) to KEY_RED,
    Pair(1f, 1.3f) to KEY_RED,
    Pair(1f, 1.4f) to KEY_RED,
    Pair(1f, 1.5f) to KEY_RED,
    Pair(1f, 1.6f) to KEY_RED,
    Pair(1f, 1.7f) to KEY_RED,
    Pair(1f, 1.8f) to KEY_RED,
    Pair(1f, 1.9f) to KEY_RED,
    Pair(1f, 2.0f) to KEY_RED,
    Pair(1f, 2.1f) to KEY_GRAY,
    Pair(1f, 2.2f) to KEY_GRAY,
    Pair(1f, 2.3f) to KEY_GRAY,
    Pair(1f, 2.4f) to KEY_GRAY,
    Pair(1f, 2.5f) to KEY_GRAY,
    Pair(1f, 2.6f) to KEY_GRAY,
    Pair(1f, 2.7f) to KEY_GRAY,
    Pair(1f, 2.8f) to KEY_GRAY,
    Pair(1f, 2.9f) to KEY_GRAY,
    Pair(1f, 3.0f) to KEY_GRAY,

    // Pulse Width = 1.5f
    Pair(1.5f, 0.5f) to KEY_YELLOW,
    Pair(1.5f, 0.6f) to KEY_RED,
    Pair(1.5f, 0.7f) to KEY_RED,
    Pair(1.5f, 0.8f) to KEY_RED,
    Pair(1.5f, 0.9f) to KEY_RED,
    Pair(1.5f, 1.0f) to KEY_RED,
    Pair(1.5f, 1.1f) to KEY_GRAY,
    Pair(1.5f, 1.2f) to KEY_GRAY,
    Pair(1.5f, 1.3f) to KEY_GRAY,
    Pair(1.5f, 1.4f) to KEY_GRAY,
    Pair(1.5f, 1.5f) to KEY_GRAY,
    Pair(1.5f, 1.6f) to KEY_GRAY,
    Pair(1.5f, 1.7f) to KEY_GRAY,
    Pair(1.5f, 1.8f) to KEY_GRAY,
    Pair(1.5f, 1.9f) to KEY_GRAY,
    Pair(1.5f, 2.0f) to KEY_GRAY,
    Pair(1.5f, 2.1f) to KEY_GRAY,
    Pair(1.5f, 2.2f) to KEY_GRAY,
    Pair(1.5f, 2.3f) to KEY_GRAY,
    Pair(1.5f, 2.4f) to KEY_GRAY,
    Pair(1.5f, 2.5f) to KEY_GRAY,
    Pair(1.5f, 2.6f) to KEY_GRAY,
    Pair(1.5f, 2.7f) to KEY_GRAY,
    Pair(1.5f, 2.8f) to KEY_GRAY,
    Pair(1.5f, 2.9f) to KEY_GRAY,
    Pair(1.5f, 3.0f) to KEY_GRAY,
    Pair(1.5f, 3.2f) to KEY_GRAY,
    Pair(1.5f, 3.4f) to KEY_GRAY,
    Pair(1.5f, 3.6f) to KEY_GRAY,
    Pair(1.5f, 3.8f) to KEY_GRAY,
    Pair(1.5f, 4.0f) to KEY_GRAY,

    // Pulse Width = 3f
    Pair(3f, 0.5f) to KEY_RED,
    Pair(3f, 0.6f) to KEY_GRAY,
    Pair(3f, 0.7f) to KEY_GRAY,
    Pair(3f, 0.8f) to KEY_GRAY,
    Pair(3f, 0.9f) to KEY_GRAY,
    Pair(3f, 1.0f) to KEY_GRAY,
    Pair(3f, 1.1f) to KEY_GRAY,
    Pair(3f, 1.2f) to KEY_GRAY,
    Pair(3f, 1.3f) to KEY_GRAY,
    Pair(3f, 1.4f) to KEY_GRAY,
    Pair(3f, 1.5f) to KEY_GRAY,
    Pair(3f, 1.6f) to KEY_GRAY,
    Pair(3f, 1.7f) to KEY_GRAY,
    Pair(3f, 1.8f) to KEY_GRAY,
    Pair(3f, 1.9f) to KEY_GRAY,
    Pair(3f, 2.0f) to KEY_GRAY,
    Pair(3f, 2.1f) to KEY_GRAY,
    Pair(3f, 2.2f) to KEY_GRAY,
    Pair(3f, 2.3f) to KEY_GRAY,
    Pair(3f, 2.4f) to KEY_GRAY,
    Pair(3f, 2.5f) to KEY_GRAY,
    Pair(3f, 2.6f) to KEY_GRAY,
    Pair(3f, 2.7f) to KEY_GRAY,
    Pair(3f, 2.8f) to KEY_GRAY,
    Pair(3f, 2.9f) to KEY_GRAY,
    Pair(3f, 3.0f) to KEY_GRAY,
    Pair(3f, 3.2f) to KEY_GRAY,
    Pair(3f, 3.4f) to KEY_GRAY,
    Pair(3f, 3.6f) to KEY_GRAY,
    Pair(3f, 3.8f) to KEY_GRAY,
    Pair(3f, 4.0f) to KEY_GRAY,
    Pair(3f, 4.2f) to KEY_GRAY,
    Pair(3f, 4.4f) to KEY_GRAY,
    Pair(3f, 4.6f) to KEY_GRAY,
    Pair(3f, 4.8f) to KEY_GRAY,
    Pair(3f, 5.0f) to KEY_GRAY,
    Pair(3f, 5.5f) to KEY_GRAY,
    Pair(3f, 6.0f) to KEY_GRAY,

    // Pulse Width = 5f
    Pair(5f, 0.5f) to KEY_RED,
    Pair(5f, 0.6f) to KEY_GRAY,
    Pair(5f, 0.7f) to KEY_GRAY,
    Pair(5f, 0.8f) to KEY_GRAY,
    Pair(5f, 0.9f) to KEY_GRAY,
    Pair(5f, 1.0f) to KEY_GRAY,
    Pair(5f, 1.1f) to KEY_GRAY,
    Pair(5f, 1.2f) to KEY_GRAY,
    Pair(5f, 1.3f) to KEY_GRAY,
    Pair(5f, 1.4f) to KEY_GRAY,
    Pair(5f, 1.5f) to KEY_GRAY,
    Pair(5f, 1.6f) to KEY_GRAY,
    Pair(5f, 1.7f) to KEY_GRAY,
    Pair(5f, 1.8f) to KEY_GRAY,
    Pair(5f, 1.9f) to KEY_GRAY,
    Pair(5f, 2.0f) to KEY_GRAY,
    Pair(5f, 2.1f) to KEY_GRAY,
    Pair(5f, 2.2f) to KEY_GRAY,
    Pair(5f, 2.3f) to KEY_GRAY,
    Pair(5f, 2.4f) to KEY_GRAY,
    Pair(5f, 2.5f) to KEY_GRAY,
    Pair(5f, 2.6f) to KEY_GRAY,
    Pair(5f, 2.7f) to KEY_GRAY,
    Pair(5f, 2.8f) to KEY_GRAY,
    Pair(5f, 2.9f) to KEY_GRAY,
    Pair(5f, 3.0f) to KEY_GRAY,
    Pair(5f, 3.2f) to KEY_GRAY,
    Pair(5f, 3.4f) to KEY_GRAY,
    Pair(5f, 3.6f) to KEY_GRAY,
    Pair(5f, 3.8f) to KEY_GRAY,
    Pair(5f, 4.0f) to KEY_GRAY,
    Pair(5f, 4.2f) to KEY_GRAY,
    Pair(5f, 4.4f) to KEY_GRAY,
    Pair(5f, 4.6f) to KEY_GRAY,
    Pair(5f, 4.8f) to KEY_GRAY,
    Pair(5f, 5.0f) to KEY_GRAY,
    Pair(5f, 5.5f) to KEY_GRAY,
    Pair(5f, 6.0f) to KEY_GRAY,
    Pair(5f, 6.5f) to KEY_GRAY,
    Pair(5f, 7.0f) to KEY_GRAY,

    // Pulse Width = 10f
    Pair(10f, 0.5f) to KEY_GRAY,
    Pair(10f, 0.6f) to KEY_GRAY,
    Pair(10f, 0.7f) to KEY_GRAY,
    Pair(10f, 0.8f) to KEY_GRAY,
    Pair(10f, 0.9f) to KEY_GRAY,
    Pair(10f, 1.0f) to KEY_GRAY,
    Pair(10f, 1.1f) to KEY_GRAY,
    Pair(10f, 1.2f) to KEY_GRAY,
    Pair(10f, 1.3f) to KEY_GRAY,
    Pair(10f, 1.4f) to KEY_GRAY,
    Pair(10f, 1.5f) to KEY_GRAY,
    Pair(10f, 1.6f) to KEY_GRAY,
    Pair(10f, 1.7f) to KEY_GRAY,
    Pair(10f, 1.8f) to KEY_GRAY,
    Pair(10f, 1.9f) to KEY_GRAY,
    Pair(10f, 2.0f) to KEY_GRAY,
    Pair(10f, 2.1f) to KEY_GRAY,
    Pair(10f, 2.2f) to KEY_GRAY,
    Pair(10f, 2.3f) to KEY_GRAY,
    Pair(10f, 2.4f) to KEY_GRAY,
    Pair(10f, 2.5f) to KEY_GRAY,
    Pair(10f, 2.6f) to KEY_GRAY,
    Pair(10f, 2.7f) to KEY_GRAY,
    Pair(10f, 2.8f) to KEY_GRAY,
    Pair(10f, 2.9f) to KEY_GRAY,
    Pair(10f, 3.0f) to KEY_GRAY,
    Pair(10f, 3.2f) to KEY_GRAY,
    Pair(10f, 3.4f) to KEY_GRAY,
    Pair(10f, 3.6f) to KEY_GRAY,
    Pair(10f, 3.8f) to KEY_GRAY,
    Pair(10f, 4.0f) to KEY_GRAY,
    Pair(10f, 4.2f) to KEY_GRAY,
    Pair(10f, 4.4f) to KEY_GRAY,
    Pair(10f, 4.6f) to KEY_GRAY,
    Pair(10f, 4.8f) to KEY_GRAY,
    Pair(10f, 5.0f) to KEY_GRAY,
    Pair(10f, 5.5f) to KEY_GRAY,
    Pair(10f, 6.0f) to KEY_GRAY,
    Pair(10f, 6.5f) to KEY_GRAY,
    Pair(10f, 7.0f) to KEY_GRAY,
    Pair(10f, 7.5f) to KEY_GRAY,
    Pair(10f, 8.0f) to KEY_GRAY,
    Pair(10f, 8.5f) to KEY_GRAY,
    Pair(10f, 9.0f) to KEY_GRAY,
    Pair(10f, 9.5f) to KEY_GRAY,
    Pair(10f, 10.0f) to KEY_GRAY,

    // Pulse Width = 15f
    Pair(15f, 0.5f) to KEY_GRAY,
    Pair(15f, 0.6f) to KEY_GRAY,
    Pair(15f, 0.7f) to KEY_GRAY,
    Pair(15f, 0.8f) to KEY_GRAY,
    Pair(15f, 0.9f) to KEY_GRAY,
    Pair(15f, 1.0f) to KEY_GRAY,
    Pair(15f, 1.1f) to KEY_GRAY,
    Pair(15f, 1.2f) to KEY_GRAY,
    Pair(15f, 1.3f) to KEY_GRAY,
    Pair(15f, 1.4f) to KEY_GRAY,
    Pair(15f, 1.5f) to KEY_GRAY,
    Pair(15f, 1.6f) to KEY_GRAY,
    Pair(15f, 1.7f) to KEY_GRAY,
    Pair(15f, 1.8f) to KEY_GRAY,
    Pair(15f, 1.9f) to KEY_GRAY,
    Pair(15f, 2.0f) to KEY_GRAY,
    Pair(15f, 2.1f) to KEY_GRAY,
    Pair(15f, 2.2f) to KEY_GRAY,
    Pair(15f, 2.3f) to KEY_GRAY,
    Pair(15f, 2.4f) to KEY_GRAY,
    Pair(15f, 2.5f) to KEY_GRAY,
    Pair(15f, 2.6f) to KEY_GRAY,
    Pair(15f, 2.7f) to KEY_GRAY,
    Pair(15f, 2.8f) to KEY_GRAY,
    Pair(15f, 2.9f) to KEY_GRAY,
    Pair(15f, 3.0f) to KEY_GRAY,
    Pair(15f, 3.2f) to KEY_GRAY,
    Pair(15f, 3.4f) to KEY_GRAY,
    Pair(15f, 3.6f) to KEY_GRAY,
    Pair(15f, 3.8f) to KEY_GRAY,
    Pair(15f, 4.0f) to KEY_GRAY,
    Pair(15f, 4.2f) to KEY_GRAY,
    Pair(15f, 4.4f) to KEY_GRAY,
    Pair(15f, 4.6f) to KEY_GRAY,
    Pair(15f, 4.8f) to KEY_GRAY,
    Pair(15f, 5.0f) to KEY_GRAY,
    Pair(15f, 5.5f) to KEY_GRAY,
    Pair(15f, 6.0f) to KEY_GRAY,
    Pair(15f, 6.5f) to KEY_GRAY,
    Pair(15f, 7.0f) to KEY_GRAY,
    Pair(15f, 7.5f) to KEY_GRAY,
    Pair(15f, 8.0f) to KEY_GRAY,
    Pair(15f, 8.5f) to KEY_GRAY,
    Pair(15f, 9.0f) to KEY_GRAY,
    Pair(15f, 9.5f) to KEY_GRAY,
    Pair(15f, 10.0f) to KEY_GRAY,

    // Pulse Width = 20f
    Pair(20f, 0.5f) to KEY_GRAY,
    Pair(20f, 0.6f) to KEY_GRAY,
    Pair(20f, 0.7f) to KEY_GRAY,
    Pair(20f, 0.8f) to KEY_GRAY,
    Pair(20f, 0.9f) to KEY_GRAY,
    Pair(20f, 1.0f) to KEY_GRAY,
    Pair(20f, 1.1f) to KEY_GRAY,
    Pair(20f, 1.2f) to KEY_GRAY,
    Pair(20f, 1.3f) to KEY_GRAY,
    Pair(20f, 1.4f) to KEY_GRAY,
    Pair(20f, 1.5f) to KEY_GRAY,
    Pair(20f, 1.6f) to KEY_GRAY,
    Pair(20f, 1.7f) to KEY_GRAY,
    Pair(20f, 1.8f) to KEY_GRAY,
    Pair(20f, 1.9f) to KEY_GRAY,
    Pair(20f, 2.0f) to KEY_GRAY,
    Pair(20f, 2.1f) to KEY_GRAY,
    Pair(20f, 2.2f) to KEY_GRAY,
    Pair(20f, 2.3f) to KEY_GRAY,
    Pair(20f, 2.4f) to KEY_GRAY,
    Pair(20f, 2.5f) to KEY_GRAY,
    Pair(20f, 2.6f) to KEY_GRAY,
    Pair(20f, 2.7f) to KEY_GRAY,
    Pair(20f, 2.8f) to KEY_GRAY,
    Pair(20f, 2.9f) to KEY_GRAY,
    Pair(20f, 3.0f) to KEY_GRAY,
    Pair(20f, 3.2f) to KEY_GRAY,
    Pair(20f, 3.4f) to KEY_GRAY,
    Pair(20f, 3.6f) to KEY_GRAY,
    Pair(20f, 3.8f) to KEY_GRAY,
    Pair(20f, 4.0f) to KEY_GRAY,
    Pair(20f, 4.2f) to KEY_GRAY,
    Pair(20f, 4.4f) to KEY_GRAY,
    Pair(20f, 4.6f) to KEY_GRAY,
    Pair(20f, 4.8f) to KEY_GRAY,
    Pair(20f, 5.0f) to KEY_GRAY,
    Pair(20f, 5.5f) to KEY_GRAY,
    Pair(20f, 6.0f) to KEY_GRAY,
    Pair(20f, 6.5f) to KEY_GRAY,
    Pair(20f, 7.0f) to KEY_GRAY,
    Pair(20f, 7.5f) to KEY_GRAY,
    Pair(20f, 8.0f) to KEY_GRAY,
    Pair(20f, 8.5f) to KEY_GRAY,
    Pair(20f, 9.0f) to KEY_GRAY,
    Pair(20f, 9.5f) to KEY_GRAY,
    Pair(20f, 10.0f) to KEY_GRAY,

    // Pulse Width = 25f
    Pair(25f, 0.5f) to KEY_GRAY,
    Pair(25f, 0.6f) to KEY_GRAY,
    Pair(25f, 0.7f) to KEY_GRAY,
    Pair(25f, 0.8f) to KEY_GRAY,
    Pair(25f, 0.9f) to KEY_GRAY,
    Pair(25f, 1.0f) to KEY_GRAY,
    Pair(25f, 1.1f) to KEY_GRAY,
    Pair(25f, 1.2f) to KEY_GRAY,
    Pair(25f, 1.3f) to KEY_GRAY,
    Pair(25f, 1.4f) to KEY_GRAY,
    Pair(25f, 1.5f) to KEY_GRAY,
    Pair(25f, 1.6f) to KEY_GRAY,
    Pair(25f, 1.7f) to KEY_GRAY,
    Pair(25f, 1.8f) to KEY_GRAY,
    Pair(25f, 1.9f) to KEY_GRAY,
    Pair(25f, 2.0f) to KEY_GRAY,
    Pair(25f, 2.1f) to KEY_GRAY,
    Pair(25f, 2.2f) to KEY_GRAY,
    Pair(25f, 2.3f) to KEY_GRAY,
    Pair(25f, 2.4f) to KEY_GRAY,
    Pair(25f, 2.5f) to KEY_GRAY,
    Pair(25f, 2.6f) to KEY_GRAY,
    Pair(25f, 2.7f) to KEY_GRAY,
    Pair(25f, 2.8f) to KEY_GRAY,
    Pair(25f, 2.9f) to KEY_GRAY,
    Pair(25f, 3.0f) to KEY_GRAY,
    Pair(25f, 3.2f) to KEY_GRAY,
    Pair(25f, 3.4f) to KEY_GRAY,
    Pair(25f, 3.6f) to KEY_GRAY,
    Pair(25f, 3.8f) to KEY_GRAY,
    Pair(25f, 4.0f) to KEY_GRAY,
    Pair(25f, 4.2f) to KEY_GRAY,
    Pair(25f, 4.4f) to KEY_GRAY,
    Pair(25f, 4.6f) to KEY_GRAY,
    Pair(25f, 4.8f) to KEY_GRAY,
    Pair(25f, 5.0f) to KEY_GRAY,
    Pair(25f, 5.5f) to KEY_GRAY,
    Pair(25f, 6.0f) to KEY_GRAY,
    Pair(25f, 6.5f) to KEY_GRAY,
    Pair(25f, 7.0f) to KEY_GRAY,
    Pair(25f, 7.5f) to KEY_GRAY,
    Pair(25f, 8.0f) to KEY_GRAY,
    Pair(25f, 8.5f) to KEY_GRAY,
    Pair(25f, 9.0f) to KEY_GRAY,
    Pair(25f, 9.5f) to KEY_GRAY,
    Pair(25f, 10.0f) to KEY_GRAY,

    // Pulse Width = 30f
    Pair(30f, 0.5f) to KEY_GRAY,
    Pair(30f, 0.6f) to KEY_GRAY,
    Pair(30f, 0.7f) to KEY_GRAY,
    Pair(30f, 0.8f) to KEY_GRAY,
    Pair(30f, 0.9f) to KEY_GRAY,
    Pair(30f, 1.0f) to KEY_GRAY,
    Pair(30f, 1.1f) to KEY_GRAY,
    Pair(30f, 1.2f) to KEY_GRAY,
    Pair(30f, 1.3f) to KEY_GRAY,
    Pair(30f, 1.4f) to KEY_GRAY,
    Pair(30f, 1.5f) to KEY_GRAY,
    Pair(30f, 1.6f) to KEY_GRAY,
    Pair(30f, 1.7f) to KEY_GRAY,
    Pair(30f, 1.8f) to KEY_GRAY,
    Pair(30f, 1.9f) to KEY_GRAY,
    Pair(30f, 2.0f) to KEY_GRAY,
    Pair(30f, 2.1f) to KEY_GRAY,
    Pair(30f, 2.2f) to KEY_GRAY,
    Pair(30f, 2.3f) to KEY_GRAY,
    Pair(30f, 2.4f) to KEY_GRAY,
    Pair(30f, 2.5f) to KEY_GRAY,
    Pair(30f, 2.6f) to KEY_GRAY,
    Pair(30f, 2.7f) to KEY_GRAY,
    Pair(30f, 2.8f) to KEY_GRAY,
    Pair(30f, 2.9f) to KEY_GRAY,
    Pair(30f, 3.0f) to KEY_GRAY,
    Pair(30f, 3.2f) to KEY_GRAY,
    Pair(30f, 3.4f) to KEY_GRAY,
    Pair(30f, 3.6f) to KEY_GRAY,
    Pair(30f, 3.8f) to KEY_GRAY,
    Pair(30f, 4.0f) to KEY_GRAY,
    Pair(30f, 4.2f) to KEY_GRAY,
    Pair(30f, 4.4f) to KEY_GRAY,
    Pair(30f, 4.6f) to KEY_GRAY,
    Pair(30f, 4.8f) to KEY_GRAY,
    Pair(30f, 5.0f) to KEY_GRAY,
    Pair(30f, 5.5f) to KEY_GRAY,
    Pair(30f, 6.0f) to KEY_GRAY,
    Pair(30f, 6.5f) to KEY_GRAY,
    Pair(30f, 7.0f) to KEY_GRAY,
    Pair(30f, 7.5f) to KEY_GRAY,
    Pair(30f, 8.0f) to KEY_GRAY,
    Pair(30f, 8.5f) to KEY_GRAY,
    Pair(30f, 9.0f) to KEY_GRAY,
    Pair(30f, 9.5f) to KEY_GRAY,
    Pair(30f, 10.0f) to KEY_GRAY,

    // Pulse Width = 35f
    Pair(35f, 0.5f) to KEY_GRAY,
    Pair(35f, 0.6f) to KEY_GRAY,
    Pair(35f, 0.7f) to KEY_GRAY,
    Pair(35f, 0.8f) to KEY_GRAY,
    Pair(35f, 0.9f) to KEY_GRAY,
    Pair(35f, 1.0f) to KEY_GRAY,
    Pair(35f, 1.1f) to KEY_GRAY,
    Pair(35f, 1.2f) to KEY_GRAY,
    Pair(35f, 1.3f) to KEY_GRAY,
    Pair(35f, 1.4f) to KEY_GRAY,
    Pair(35f, 1.5f) to KEY_GRAY,
    Pair(35f, 1.6f) to KEY_GRAY,
    Pair(35f, 1.7f) to KEY_GRAY,
    Pair(35f, 1.8f) to KEY_GRAY,
    Pair(35f, 1.9f) to KEY_GRAY,
    Pair(35f, 2.0f) to KEY_GRAY,
    Pair(35f, 2.1f) to KEY_GRAY,
    Pair(35f, 2.2f) to KEY_GRAY,
    Pair(35f, 2.3f) to KEY_GRAY,
    Pair(35f, 2.4f) to KEY_GRAY,
    Pair(35f, 2.5f) to KEY_GRAY,
    Pair(35f, 2.6f) to KEY_GRAY,
    Pair(35f, 2.7f) to KEY_GRAY,
    Pair(35f, 2.8f) to KEY_GRAY,
    Pair(35f, 2.9f) to KEY_GRAY,
    Pair(35f, 3.0f) to KEY_GRAY,
    Pair(35f, 3.2f) to KEY_GRAY,
    Pair(35f, 3.4f) to KEY_GRAY,
    Pair(35f, 3.6f) to KEY_GRAY,
    Pair(35f, 3.8f) to KEY_GRAY,
    Pair(35f, 4.0f) to KEY_GRAY,
    Pair(35f, 4.2f) to KEY_GRAY,
    Pair(35f, 4.4f) to KEY_GRAY,
    Pair(35f, 4.6f) to KEY_GRAY,
    Pair(35f, 4.8f) to KEY_GRAY,
    Pair(35f, 5.0f) to KEY_GRAY,
    Pair(35f, 5.5f) to KEY_GRAY,
    Pair(35f, 6.0f) to KEY_GRAY,
    Pair(35f, 6.5f) to KEY_GRAY,
    Pair(35f, 7.0f) to KEY_GRAY,
    Pair(35f, 7.5f) to KEY_GRAY,
    Pair(35f, 8.0f) to KEY_GRAY,
    Pair(35f, 8.5f) to KEY_GRAY,
    Pair(35f, 9.0f) to KEY_GRAY,
    Pair(35f, 9.5f) to KEY_GRAY,
    Pair(35f, 10.0f) to KEY_GRAY,

    // Pulse Width = 40f
    Pair(40f, 0.5f) to KEY_GRAY,
    Pair(40f, 0.6f) to KEY_GRAY,
    Pair(40f, 0.7f) to KEY_GRAY,
    Pair(40f, 0.8f) to KEY_GRAY,
    Pair(40f, 0.9f) to KEY_GRAY,
    Pair(40f, 1.0f) to KEY_GRAY,
    Pair(40f, 1.1f) to KEY_GRAY,
    Pair(40f, 1.2f) to KEY_GRAY,
    Pair(40f, 1.3f) to KEY_GRAY,
    Pair(40f, 1.4f) to KEY_GRAY,
    Pair(40f, 1.5f) to KEY_GRAY,
    Pair(40f, 1.6f) to KEY_GRAY,
    Pair(40f, 1.7f) to KEY_GRAY,
    Pair(40f, 1.8f) to KEY_GRAY,
    Pair(40f, 1.9f) to KEY_GRAY,
    Pair(40f, 2.0f) to KEY_GRAY,
    Pair(40f, 2.1f) to KEY_GRAY,
    Pair(40f, 2.2f) to KEY_GRAY,
    Pair(40f, 2.3f) to KEY_GRAY,
    Pair(40f, 2.4f) to KEY_GRAY,
    Pair(40f, 2.5f) to KEY_GRAY,
    Pair(40f, 2.6f) to KEY_GRAY,
    Pair(40f, 2.7f) to KEY_GRAY,
    Pair(40f, 2.8f) to KEY_GRAY,
    Pair(40f, 2.9f) to KEY_GRAY,
    Pair(40f, 3.0f) to KEY_GRAY,
    Pair(40f, 3.2f) to KEY_GRAY,
    Pair(40f, 3.4f) to KEY_GRAY,
    Pair(40f, 3.6f) to KEY_GRAY,
    Pair(40f, 3.8f) to KEY_GRAY,
    Pair(40f, 4.0f) to KEY_GRAY,
    Pair(40f, 4.2f) to KEY_GRAY,
    Pair(40f, 4.4f) to KEY_GRAY,
    Pair(40f, 4.6f) to KEY_GRAY,
    Pair(40f, 4.8f) to KEY_GRAY,
    Pair(40f, 5.0f) to KEY_GRAY,
    Pair(40f, 5.5f) to KEY_GRAY,
    Pair(40f, 6.0f) to KEY_GRAY,
    Pair(40f, 6.5f) to KEY_GRAY,
    Pair(40f, 7.0f) to KEY_GRAY,
    Pair(40f, 7.5f) to KEY_GRAY,
    Pair(40f, 8.0f) to KEY_GRAY,
    Pair(40f, 8.5f) to KEY_GRAY,
    Pair(40f, 9.0f) to KEY_GRAY,
    Pair(40f, 9.5f) to KEY_GRAY,
    Pair(40f, 10.0f) to KEY_GRAY,

    )

